rte_table_acl_params(3)

NAME
rte_table_acl_params

SYNOPSIS

#include <rte_table_acl.h>

  Data Fields

const char * name
uint32_t n_rules
uint32_t n_rule_fields
struct rte_acl_field_def field_format [RTE_ACL_MAX_FIELDS]

Detailed Description

ACL table parameters

Definition at line 29 of file rte_table_acl.h.

Field Documentation

  const char* name
Name

Definition at line 31 of file rte_table_acl.h.

  uint32_t n_rules
Maximum number of ACL rules in the table

Definition at line 34 of file rte_table_acl.h.

  uint32_t n_rule_fields
Number of fields in the ACL rule specification

Definition at line 37 of file rte_table_acl.h.

  struct rte_acl_field_def field_format[RTE_ACL_MAX_FIELDS]
Format specification of the fields of the ACL rule

Definition at line 40 of file rte_table_acl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.